﻿var timer_step=1;
var is_timer_shown = false;
var clicked_on_timer = false;
var handleTimerDisplay;
var timeout;

$(document).ready(function(){
  
  $("#timer-text-display").html(timer_step +"<br>min");
  
  
  for(var i = 1; i < 6; i++) {
      $("#timer-container").append("<div class='timer-text-choices'>" + i + "</div>");
  }

  $(".timer-text-choices").css({ 
                   "float": "left", 
                   "min-width":"100px",    
                   "max-width":"100px",    
                   "height":"75px",
                   "display": "none",
                   "border-left-style": "solid",
                   "line-height": "75px", 
                   });
  
  $(".timer-text-choices").click(function(e) {
   timer_step = $(this).text();
   $("#timer-text-display").html(timer_step +"<br>min");
   myTime = timer_step*60000;
   console.log(myTime);
  });

  $("#timer-container").click(function(e){      
    if(is_timer_shown == false) {  
      $(".timer-text-choices").css({"display": "block"});
      $("#timer-container").animate({width: strip_width + 'px'});
      is_timer_shown = true;
      clicked_on_timer = true;
    }
    else {      
        if(timeout != 'undefined') {
          clearTimeout(timeout);
        }
        timeout = setTimeout('handleTimerDisplay()', 1000);
        is_timer_shown = true;
        clicked_on_timer = true;           
    }
  });
 
 $("body").click(function(){   
    handleTimerDisplay();  
  });

 $("body").keyup(function( event ) {
   hideLight();
  });


myTimerExpired = function() {
 hideLight();
}

myNotifyTimerExpired =function() {
   $("#notify").css({"display":"None"});
   window.clearInterval(myNotifyTimerIntervalVar);
}

hideLight = function() {

  if(document.exitFullscreen) {
    document.exitFullscreen();
  } else if(document.mozCancelFullScreen) {
    document.mozCancelFullScreen();
  } else if(document.webkitExitFullscreen) {
    document.webkitExitFullscreen();
  }

//RunPrefixMethod(document, "CancelFullScreen");
  $("#title-text").css({"display":"block"});
  $("#white-light").css({"display":"None"});
  $("#button-start").css({"display":"inline"});
  $("#time-setting").css({"display":"block"});
  $("#timer-container").css("display","block");
  $("#trataka-colors").css("display","block");
  $("#help-button").css("display","block");
  window.clearInterval(myTimerIntervalVar);

  if(no_close_button == false) {
    $("#button-close").css({"display":"inline"});
  }
}

showLight = function () {
  e = document.body;
  if(!isiOS()) {
    req = e.requestFullScreen || e.webkitRequestFullScreen || e.mozRequestFullScreen ||element.msRequestFullscreen;
    req.call(e);
  }
   	
  $("#title-text").css({"display":"None"});
  $("#white-light").css({"display":"block"});
  $("#button-start").css({"display":"None"});
  $("#notify").css({"display":"block"});
  $("#help-dialog").css("display","none");
  $("#intro-buttons").css("display","none");
  $("#timer-container").css("display","none");
  $("#trataka-colors").css("display","none");
  $("#help-button").css("display","none");
  
  if(no_close_button == false) {
    $("#button-close").css({"display":"none"});
  }

  myTimerIntervalVar=setInterval(function(){myTimerExpired()}, myTime);
  myNotifyTimerIntervalVar=setInterval(function(){myNotifyTimerExpired()}, 5000);
  setTimeout('window.fullScreen = true;',1);

  }

  $("#button-start").click(function(){
    showLight();
  });

 $("#white-light").click(function(){
    hideLight();
});

   handleTimerDisplay = function() {    
    if(is_timer_shown == true && clicked_on_timer == false) {
       $("#timer-container").animate({width: strip_segment+'px'});
       $(".timer-text-choices").css({"display": "None"});
       is_timer_shown = false;        
      }
    clicked_on_timer = false;
  }
});

