function scaleFit() {
		var wwidth = (window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth);
		var wheight = (window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight);
                if(document.getElementById("protoscreen")!=undefined){
			width 		=	getCssProperty('protoscreen', 'width');
			height 		=	getCssProperty('protoscreen', 'height');
			if(!width){
				width	=	document.getElementById("protoscreen").offsetWidth;
			}
			if(!height){
				height	=	document.getElementById("protoscreen").offsetHeight;
			}	
		}
                var xratio		=	parseFloat(wwidth/width);
		var yratio		=	parseFloat(wheight/height);
                var scale_factor	=	xratio;
		if(yratio<xratio){
			scale_factor	=	yratio;
		}
                xratio	=	scale_factor;
		yratio	=	scale_factor;
                var new_width	=	width*scale_factor;
		var new_height	=	height*scale_factor;
                if(document.getElementById("scalescreen")!=undefined){
                    trans_x		=	parseInt((wwidth-new_width)/2);
		    trans_y		=	parseInt((wheight-new_height)/2);
		    document.getElementById("scalescreen").style.height = height+'px' ; 
		    document.getElementById("scalescreen").style.width = width+'px' ; 
		    document.getElementById("scalescreen").style.margin	=	"0px";
                    performCSS3Transform(document.getElementById("scalescreen"),"translate("+trans_x+"px,"+trans_y+"px) scale("+scale_factor+","+scale_factor+")",0,0);
		}
}
function getCssProperty(elmId, property){
	var elem = document.getElementById(elmId);
	var property_value;
	if (window.getComputedStyle){
		property_value	=	window.getComputedStyle(elem,null).getPropertyValue(property);
		return property_value.replace('px','');
	}else{
		window.getComputedStyle = function(el, pseudo) {
			this.el = el;
			this.getPropertyValue = function(prop) {
				var re = /(\-([a-z]){1})/g;
				if (prop == 'float') prop = 'styleFloat';
				if (re.test(prop)) {
					prop = prop.replace(re, function () {
						return arguments[2].toUpperCase();
					});
				}
				return el.currentStyle[prop] ? el.currentStyle[prop] : null;
				}
			return this;
		}
	}
};
function performCSS3Transform(elem,trans_string,xval,yval){	
	if(elem!=undefined){
		if('WebkitTransform' in document.body.style){
			elem.style.webkitTransform	=	trans_string;
		}else if('MozTransform' in document.body.style){
			elem.style.MozTransform	=	trans_string;
		}else if('OTransform' in document.body.style){
			elem.style.OTransform	=	trans_string;
		}else if('msTransform' in document.body.style){
			elem.style.msTransform	=	trans_string;
		}else if('Transform' in document.body.style){
			elem.style.Transform	=	trans_string;
		}else{
			if(trans_string == "scaleX(1)"){
				elem.style.visibility = "visible";
			}else if(trans_string == "scaleX(0)"){
				elem.style.visibility = "hidden"; 
			}
			try{
				elem.style.marginLeft	=	xval+"px";
				elem.style.marginTop	=	yval+"px";
			}catch(e){
			}
		}
	}
};

(function(){
    if(isiOS()){
        document.body.onresize = windowEvent;
    } else {
       /* window.attachEvent works with IE8 and IE7 as well *****/
       var addEvent =  window.attachEvent||window.addEventListener ;
       var event = window.attachEvent ? 'resize' : 'resize';
       addEvent(event, windowEvent);
    }
    scaleFit();
})();
function windowEvent(){
    scaleFit();
}
function isiOS(){
	if(navigator.userAgent.match(/iPhone|iPod|iPad/i)!=null){
		return true;
	}else{
		return false;
	}
}

